Subject: Re: [RFC, VLAN]: Propagate selected feature bits to VLAN devices

From: Ben Greear <[email-masked]>
Date: Tue, 20 May 2008 08:46:40 -0700

Patrick McHardy wrote:
> Ben Hutchings wrote:
>> Patrick McHardy wrote:
>>> diff --git a/include/linux/netdevice.h b/include/linux/netdevice.h
>>> index b11e6e1..3be4559 100644
>>> --- a/include/linux/netdevice.h
>>> +++ b/include/linux/netdevice.h
>>> @@ -514,10 +514,11 @@ struct net_device
>>>  #define NETIF_F_NETNS_LOCAL    8192    /* Does not change network 
>>> namespaces */
>>>  #define NETIF_F_MULTI_QUEUE    16384    /* Has multiple TX/RX 
>>> queues */
>>>  #define NETIF_F_LRO        32768    /* large receive offload */
>>> +#define NETIF_F_VLAN_TSO    65536    /* Supports TSO for VLANs */
>>>
>>>      /* Segmentation offload features */
>>> -#define NETIF_F_GSO_SHIFT    16
>>> -#define NETIF_F_GSO_MASK    0xffff0000
>>> +#define NETIF_F_GSO_SHIFT    20
>>> +#define NETIF_F_GSO_MASK    0xfff00000
>>
>> I really don't think it's a good idea to move around existing flags.  
>> How
>> about stealing some of the unused high-order bits of NETIF_F_GSO_MASK
>> instead?
>
>
> Mhh it doesn't really belong there. Whats the problem with
> moving these bits? They are only used internally (and use
> up too much space anyway).
I've been running with it shifted to 24 on 2.6.25 with no problems.   If 
no one else objects, I'd prefer it shifted all the way
to 24 to make room for more flags w/out additional changes in the 
shiftage later...

Thanks,
Ben

>
> -- 
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

-- 
Ben Greear <[email-masked]> 
Candela Technologies Inc  http://www.candelatech.com